#!/bin/ksh

#/*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008-2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************/

rcrdone(){
exit $EXITCODE
}

validate() {
if [ -e "CreateReportView.jar" ] 
then
	echo "CreateReportView.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "CreateReportView.jar"
	rcrdone
fi  

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/axis.jar" ] 
then
	echo "axis.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "axis.jar"
	rcrdone
fi

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/jaxrpc.jar" ] 
then
	echo "jaxrpc.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "jaxrpc.jar"
	rcrdone
fi

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/commons-logging.jar" ] 
then
	echo "commons-logging.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "commons-logging.jar"
	rcrdone
fi

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/commons-discovery.jar" ] 
then
	echo "commons-discovery.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "commons-discovery.jar"
	rcrdone
fi

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/saaj.jar" ] 
then
	echo "saaj.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "saaj.jar"
	rcrdone
fi

if [ -e "../cognos/webapps/p2pd/WEB-INF/lib/axisCrnpClient.jar" ] 
then
	echo "axisCrnpClient.jar"
else
	EXITCODE=4597
	echo $JAR_NOT_FOUND "axisCrnpClient.jar"
	rcrdone
fi
}

EXITCODE=0

validate

export CLASSPATH=.:CreateReportView.jar:../cognos/webapps/p2pd/WEB-INF/lib/axis.jar:../cognos/webapps/p2pd/WEB-INF/lib/jaxrpc.jar:../cognos/webapps/p2pd/WEB-INF/lib/commons-logging.jar:../cognos/webapps/p2pd/WEB-INF/lib/commons-discovery.jar:../cognos/webapps/p2pd/WEB-INF/lib/saaj.jar:../cognos/webapps/p2pd/WEB-INF/lib/axisCrnpClient.jar

java CreateReportView

rcrdone
